# HierarchyBuilderGroupingBased.AbstractGroup (ARX GUI Documentation)

org.deidentifier.arx.aggregates

## Class HierarchyBuilderGroupingBased.AbstractGroup

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderGroupingBased.AbstractGroup

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    HierarchyBuilderIntervalBased.Interval, HierarchyBuilderOrderBased.CloseElements
  Enclosing class:
    HierarchyBuilderGroupingBased<T>

      protected abstract static class HierarchyBuilderGroupingBased.AbstractGroup
      extends java.lang.Object
      implements java.io.Serializable

  A group representation to be used by subclasses.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HierarchyBuilderGroupingBased.AbstractGroup(java.lang.String label)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getLabel()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchyBuilderGroupingBased.AbstractGroup

          protected HierarchyBuilderGroupingBased.AbstractGroup(java.lang.String label)

      Parameters:
        `label` -

  - ### Method Detail

    - #### getLabel

          protected java.lang.String getLabel()

      Returns: